%define	name	manedit
%define version 0.6.1
%define release 2mdk
%define summary	UNIX manual pages editor

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		Editors
Source0:	http://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
Source1:	%{name}-48.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-16.png.bz2
Patch:		%{name}-0.6.1.lib64.patch.bz2
Url: 		http://wolfpack.twu.net/ManEdit
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk+1.2-devel

%description
ManEdit was created due to a lack of editors for UNIX manual pages,
since users expect each UNIX program/configuration/api/etc to have a
manual page the lack of an editor and the high demand for what it
should create eventually lead to this (long overdue) application. 

Although most resourced developers can create a source document using a
much more advanced editor and then export to multiple file formats, the
average UNIX contributor isn't up to that. Even the creators of this
application were intimidated at the UNIX manual page creation process. 

So to make computers and life simpler, we created ManEdit, the Manual
Page Editor and Viewer. It features: 
- XML Interface and Multiple Sectional Editing 
- Instant preview feature and stand-alone viewer/browser 
- Drag and Drop system and templates for easy mass production 

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
%patch

%build
export CFLAGS=$RPM_OPT_FLAGS
%ifarch x86_64
./configure Linux64 -v --libdir=-L%{_libdir}
%else
./configure Linux -v --disable=arch-i686 --libdir=-L%{_libdir}
%endif
make

%install
make PREFIX=$RPM_BUILD_ROOT%_prefix MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1 install

# icons
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_bindir}/%{name}"\\
	needs="X11"\\
	icon="%{name}.png"\\
	section="More Applications/Editors"\\
	title="ManEdit" \
	longtitle="UNIX manual pages editor"
EOF

rm $RPM_BUILD_ROOT%_iconsdir/*.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%doc AUTHORS INSTALL LICENSE README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Mar 29 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.6.1-2mdk
- fix amd64 build (fix bug #15077)

* Sat Mar 19 2005 Austin Acton <austin@mandrake.org> 0.6.1-1mdk
- 0.6.1

* Tue Nov 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.12-2mdk 
- fix menu entry

* Tue Nov 16 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 0.5.12-1mdk
- New release 0.5.12

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.11-3mdk 
- explicit requires

* Tue Jun 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.11-2mdk 
- rebuild

* Sun Apr 18 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.11-1mdk
- new version
- fixed menu

* Fri May 02 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5.10-1mdk
- 0.5.10

* Fri Feb 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.8-1mdk
- 0.5.8

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-3mdk
- rebuild

* Fri May 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-2mdk
- rebuild against new libstdc++

* Wed Mar 13 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5.6-1mdk
- 0.5.6
- used png icons

* Sat Jan 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.4-1mdk
- new release

* Wed Nov 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.3-1mdk
- 0.5.3

* Fri Oct 26 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5.1-3mdk
- corrected typo in description

* Wed Oct 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-2mdk
- fixes from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- icons in right place

* Sat Sep 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1
- dropped gtk config patch

* Wed Aug 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5.0-1mdk
- first Mandrake release
